Subject: bug#58563: 29.0.50; Generic functions and advertised-calling-convention

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 16 Oct 2022 16:49:28 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> I wouldn't bother special casing this.
>> I think it's OK to say that if you want an
>> `advertised-calling-convention` you need to add a `cl-defgeneric`.
>> This likely applies to most other `declare`ations, actually.
>
> Yes, good point.

On the other hand, thinking about this a bit more -- it's not an
uncommon thing to just use defmethod to without a defgeneric to just
ensure that you're calling the function with arguments of the right
type.  Making people add a fallback method (to error out on) would just
be pointless noise for them.